EcommerceGet a product

Get a product

GET /products/{product_id}

curl -X GET "https://app.bualpro.com/api/products/123" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY"
{
  "id": 123,
  "name": "Johan Ahmad",
  "price": 29.99,
  "sale_price": 29.99,
  "category_id": 123,
  "category_name": "Johan Ahmad",
  "stock": 42,
  "short_description": "example_string",
  "image": "example_string",
  "created_at": "example_string"
}
GET
/products/{product_id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Responses

idinteger
namestring
pricenumber
sale_pricenumber
category_idinteger
category_namestring
stockinteger
short_descriptionstring
imagestring
created_atstring

Subscribed date in UTC. Example 2022-10-12 14:40:00

Get product by id